import pino from 'pino';
import { SnowpackBuildMap, SnowpackPlugin } from '../types/snowpack';
export interface BuildFileOptions {
    plugins: SnowpackPlugin[];
    isDev: boolean;
    isHmrEnabled: boolean;
    sourceMaps: boolean;
    logLevel?: pino.Level;
}
export declare function getInputsFromOutput(fileLoc: string, plugins: SnowpackPlugin[]): string[];
export declare function runPipelineOptimizeStep(buildDirectory: string, { plugins, logLevel }: BuildFileOptions): Promise<null>;
/** Core Snowpack file pipeline builder */
export declare function buildFile(srcPath: string, buildFileOptions: BuildFileOptions): Promise<SnowpackBuildMap>;
